Last Comment Bug 584752 - Make Modern work nicely with places bookmarks work
: Make Modern work nicely with places bookmarks work
Status: RESOLVED FIXED
: modern
Product: SeaMonkey
Classification: Client Software
Component: Themes (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.1a3
Assigned To: Robert Kaiser (not working on stability any more)
:
Mentors:
Depends on: 580660
Blocks: SMPlacesBMarks
  Show dependency treegraph
 
Reported: 2010-08-05 09:46 PDT by Robert Kaiser (not working on stability any more)
Modified: 2010-08-11 16:02 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
a3+


Attachments
v1: Modern changes for places bookmarks (29.30 KB, patch)
2010-08-08 12:38 PDT, Robert Kaiser (not working on stability any more)
iann_bugzilla: review+
Details | Diff | Review

Description Robert Kaiser (not working on stability any more) 2010-08-05 09:46:53 PDT
Bug 580660 at least, maybe other places bookmarks work, introduces some Classic theme changes that should be ported in a reasonable way to Modern.
Comment 1 Robert Kaiser (not working on stability any more) 2010-08-08 12:38:03 PDT
Created attachment 463952 [details] [diff] [review]
v1: Modern changes for places bookmarks

Here's a patch that should get everything my places bookmarks patches do to modern. The Classic parts matching this are done in bug 580660 and bug 580662. I copied the icons from there and modified them to match the Modern color scheme as well as I could.
Comment 2 Ian Neal 2010-08-10 07:18:43 PDT
We should be trying to at least match classic for a3, so blocking for the moment.
Comment 3 Ian Neal 2010-08-10 08:21:31 PDT
Comment on attachment 463952 [details] [diff] [review]
v1: Modern changes for places bookmarks

Could you make sure either the existing follow-up bugs for classic also cover modern or you have parallel follow-up bugs for modern. Thanks.
Comment 4 Robert Kaiser (not working on stability any more) 2010-08-10 12:00:45 PDT
(In reply to comment #3)
> Could you make sure either the existing follow-up bugs for classic also cover
> modern or you have parallel follow-up bugs for modern. Thanks.

Sure, my plans are to address both Classic and Modern in sync in bug 585601.
Comment 5 Robert Kaiser (not working on stability any more) 2010-08-10 12:05:50 PDT
Pushed the patch as http://hg.mozilla.org/comm-central/rev/f8a85fd368e3
Comment 6 neil@parkwaycc.co.uk 2010-08-11 16:02:04 PDT
(In reply to comment #4)
> (In reply to comment #3)
> > Could you make sure either the existing follow-up bugs for classic also cover
> > modern or you have parallel follow-up bugs for modern. Thanks.
> Sure, my plans are to address both Classic and Modern in sync in bug 585601.
Any nits will almost certainly apply equally to both themes.

Note You need to log in before you can comment on or make changes to this bug.